diff -Nur openbsc.11_trau/Makefile.am openbsc.12_application/Makefile.am
--- openbsc.11_trau/Makefile.am	2009-05-21 07:20:44.000000000 +0200
+++ openbsc.12_application/Makefile.am	2009-05-21 11:35:15.000000000 +0200
@@ -5,3 +5,11 @@
 
 #dist-hook:
 #	rm -rf `find $(distdir) -name .svn`
+
+install-data-hook:
+	cp src/libbsc.a /usr/local/lib
+	cp src/libvty.a /usr/local/lib
+	@mkdir -p /usr/local/include/openbsc
+	@mkdir -p /usr/local/include/vty
+	cp -a include/openbsc/* /usr/local/include/openbsc/
+	cp -a include/vty/* /usr/local/include/vty/
diff -Nur openbsc.11_trau/include/openbsc/telnet_interface.h openbsc.12_application/include/openbsc/telnet_interface.h
--- openbsc.11_trau/include/openbsc/telnet_interface.h	2009-05-21 07:20:43.000000000 +0200
+++ openbsc.12_application/include/openbsc/telnet_interface.h	2009-05-21 12:22:24.000000000 +0200
@@ -47,4 +47,6 @@
 
 void telnet_init(struct gsm_network *network, int port);
 
+int bsc_vty_init(struct gsm_network *net);
+
 #endif
diff -Nur openbsc.11_trau/include/vty/vty.h openbsc.12_application/include/vty/vty.h
--- openbsc.11_trau/include/vty/vty.h	2009-05-21 07:20:43.000000000 +0200
+++ openbsc.12_application/include/vty/vty.h	2009-05-21 12:22:36.000000000 +0200
@@ -34,6 +34,8 @@
 #endif				/* VTYSH */
 };
 
+enum vty_type_t { VTY_TERM, VTY_FILE, VTY_SHELL, VTY_SHELL_SERV } type;
+
 struct vty {
 	FILE *file;
 
@@ -44,7 +46,7 @@
 	int fd;
 
 	/* Is this vty connect to file or not */
-	enum { VTY_TERM, VTY_FILE, VTY_SHELL, VTY_SHELL_SERV } type;
+	enum vty_type_t type;
 
 	/* Node status of this vty */
 	int node;
@@ -119,7 +121,7 @@
 };
 
 /* Small macro to determine newline is newline only or linefeed needed. */
-#define VTY_NEWLINE  ((vty->type == VTY_TERM) ? "\r\n" : "\n")
+#define VTY_NEWLINE  ((vty->type == VTY_TERM) ? (char *)"\r\n" : (char *)"\n")
 
 static inline char *vty_newline(struct vty *vty)
 {
@@ -145,6 +147,6 @@
 int vty_shell (struct vty *);
 int vty_shell_serv (struct vty *);
 void vty_hello (struct vty *);
-
+void vty_event(enum event event, int sock, struct vty *vty);
 
 #endif
diff -Nur openbsc.11_trau/src/Makefile.am openbsc.12_application/src/Makefile.am
--- openbsc.11_trau/src/Makefile.am	2009-05-21 07:20:44.000000000 +0200
+++ openbsc.12_application/src/Makefile.am	2009-05-21 11:35:15.000000000 +0200
@@ -7,13 +7,13 @@
 
 libbsc_a_SOURCES = abis_rsl.c abis_nm.c gsm_04_08.c gsm_data.c \
 		gsm_subscriber.c msgb.c select.c chan_alloc.c timer.c debug.c db.c \
-		gsm_04_11.c telnet_interface.c subchan_demux.c \
+		gsm_04_11.c telnet_interface.c vty_interface.c subchan_demux.c \
 		trau_frame.c trau_mux.c paging.c e1_config.c e1_input.c tlv_parser.c \
-		input/misdn.c input/ipaccess.c signal.c gsm_utils.c
+		input/misdn.c input/ipaccess.c signal.c gsm_utils.c mncc.c
 
 libvty_a_SOURCES = vty/buffer.c vty/command.c vty/vector.c vty/vty.c
 
-bsc_hack_SOURCES = bsc_hack.c vty_interface.c
+bsc_hack_SOURCES = bsc_hack.c
 bsc_hack_LDADD = libbsc.a libvty.a -ldl -ldbi -lcrypt
 
 bs11_config_SOURCES = bs11_config.c abis_nm.c gsm_data.c msgb.c debug.c \
